aboutsummaryrefslogtreecommitdiff
path: root/repo/git/kiss-add
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2020-05-28 16:45:43 +0300
committerCem Keylan <cem@ckyln.com>2020-05-28 16:45:43 +0300
commit1dabf5a8d511db458dd529588e57a8ed8185787a (patch)
treec5905caa9b93fa4c63ee5e8e8dbdccd53d5aca53 /repo/git/kiss-add
parent7bfa97d6fa2452d0517c4f820e44033b5a50cd50 (diff)
downloadcpt-extra-1dabf5a8d511db458dd529588e57a8ed8185787a.tar.gz
added new utilities, changed repository structure20200528
Diffstat (limited to 'repo/git/kiss-add')
-rwxr-xr-xrepo/git/kiss-add13
1 files changed, 13 insertions, 0 deletions
diff --git a/repo/git/kiss-add b/repo/git/kiss-add
new file mode 100755
index 0000000..3f29946
--- /dev/null
+++ b/repo/git/kiss-add
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Commit the current directory as a new package
+
+case "$1" in --help|-h) printf '%s\n' "usage: ${0##*/}"; exit 0; esac
+
+read -r ver _ < version || {
+ printf '%s\n' "could not find version file, are you on a package directory?"
+ exit 1
+}
+
+# Unstage all changes and stage the current directory
+git reset; git add .
+git commit -m "${PWD##*/}: add new package at $ver"